Skip to main content
PATCH
/
connect
/
v1
/
operators
/
{operatorId}
Update an operator
curl --request PATCH \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "contactEmail": "<string>",
  "contactName": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "organizationId": "<string>",
  "voyantPlatformId": "<string>",
  "voyantOrganizationId": "<string>",
  "contactEmail": "<string>",
  "contactName": "<string>",
  "metadata": {},
  "grantId": "<string>",
  "grantScopes": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Body

application/json
name
string
contactEmail
string
contactName
string
metadata
object

Response

200 - application/json

An operator.

id
string
required
slug
string
required
name
string
required
status
enum<string>
required
Available options:
active,
deactivated
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
organizationId
string | null
voyantPlatformId
string | null
voyantOrganizationId
string | null
contactEmail
string | null
contactName
string | null
metadata
object
accessType
enum<string>
Available options:
owned,
granted
grantId
string
grantScopes
string[]